From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 2 July 2007<P>

rennielorca, about <a href="/blend/wv.cgi?id=2007.07.02.11.55.24979">OH, I'M SMITTEN!!</a>: Hilarious!! <BR>

<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 2 July 2007<P>

rennielorca, about <a href="/blend/wv.cgi?id=2007.07.02.11.55.24979">OH, I'M SMITTEN!!</a>:<BR>
<BR>
Rennie~<BR>
<BR>
Holy crap. I nearly fell off my chair from laughing so hard.  That is wonderful.  :-)  Thanks for sharing it! hehe
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 2 July 2007<P>

rennielorca, about <a href="/blend/wv.cgi?id=2007.07.02.11.55.24979">OH, I'M SMITTEN!!</a>: Good Lord Rens; I hope you didn't meet this guy for real on the net. Sounds like someone drunk or on drugs or someone that might show up at your house with an axe...ha (I'm sure if you did meet him you put him in his place haaa) That guy is a certified lunatic to be sure. (full moon got him but good)<BR>
<BR>
bk<BR>

<HR>